﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls
@using Portal.Models.LPOPConfirmation;
@model Toyota.Common.Web.MVC.ModelHolder

           
    @Html.Common().DevExpress().GridView(
                settings =>
                {
                    settings.Name = "GridGetLPOPHeader";

                    settings.CallbackRouteValues = new { Controller = "LPOPConfirmation", Action = "PopupLPOPConfirmationDetail" };
                    settings.ClientSideEvents.BeginCallback = "OnGridPopupLPOPConfirmationDetailBeginCallback";
                    //settings.ClientSideEvents.RowClick = "OnForecastDetailViewRowClick";

                    settings.Width = Unit.Percentage(100);
                    settings.Settings.VerticalScrollableHeight = 260;
                    settings.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;

                    settings.Settings.ShowFilterRow = true;
                    settings.Settings.ShowFilterRowMenu = true;
                    settings.Settings.ShowColumnHeaders = true;
                    settings.SettingsPager.FirstPageButton.Visible = true;
                    settings.SettingsPager.LastPageButton.Visible = true;
                    settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
                    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
                    settings.CommandColumn.ClearFilterButton.Visible = true;
                    settings.SettingsPager.PageSizeItemSettings.Visible = true;
                    settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                    settings.SettingsPager.PageSizeItemSettings.Caption = "Page size";
                    settings.SettingsPager.Position = PagerPosition.Bottom;
                    settings.SettingsPager.FirstPageButton.Visible = true;
                    settings.SettingsPager.LastPageButton.Visible = true;


                    
                    #region New gridview column list, By Salman Alfarizi 20022013
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "D_ID";
                            column.FieldName = "D_ID";
                            column.Caption = "D Id";
                            column.Width = Unit.Pixel(50);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "VERS";
                            column.FieldName = "VERS";
                            column.Caption = "Vers";
                            column.Width = Unit.Pixel(50);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "REV_NO";
                            column.FieldName = "REV_NO";
                            column.Caption = "Rev<br />No";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "COMP_CD";
                            column.FieldName = "COMP_CD";
                            column.Caption = "Comp<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "R_PLANT_CD";
                            column.FieldName = "R_PLANT_CD";
                            column.Caption = "R Plant<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "DOCK_CD";
                            column.FieldName = "DOCK_CD";
                            column.Caption = "Dock<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "S_PLANT_CD";
                            column.FieldName = "S_PLANT_CD";
                            column.Caption = "S Plant<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SHIP_CD";
                            column.FieldName = "SHIP_CD";
                            column.Caption = "Ship<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "ORD_TYPE";
                            column.FieldName = "ORD_TYPE";
                            column.Caption = "Ord<br />Type";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "PACK_MONTH";
                            column.FieldName = "PACK_MONTH";
                            column.Caption = "Pack<br />Month";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "CAR_CD";
                            column.FieldName = "CAR_CD";
                            column.Caption = "Car<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "REC_CD";
                            column.FieldName = "REC_CD";
                            column.Caption = "Rec<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SRC";
                            column.FieldName = "SRC";
                            column.Caption = "Source";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "PART_NO";
                            column.FieldName = "PART_NO";
                            column.Caption = "Part No";
                            column.Width = Unit.Pixel(100);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "ORDER_TYPE";
                            column.FieldName = "ORDER_TYPE";
                            column.Caption = "Order<br />Type";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "ORDER_LOT_SZ";
                            column.FieldName = "ORDER_LOT_SZ";
                            column.Caption = "Order<br />Lot SZ";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "KANBAN_NUMBER";
                            column.FieldName = "KANBAN_NUMBER";
                            column.Caption = "Kanban<br />Number";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_VOLUME";
                            column.FieldName = "N_VOLUME";
                            column.Caption = "N<br />Volume";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "AICO_CEPT";
                            column.FieldName = "AICO_CEPT";
                            column.Caption = "Aico<br />Cept";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_VOLUME";
                            column.FieldName = "N_1_VOLUME";
                            column.Caption = "N + 1<br />Volume";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "AICO_CEPT1";
                            column.FieldName = "AICO_CEPT1";
                            column.Caption = "Aico<br />Cept 1";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_2_VOLUME";
                            column.FieldName = "N_2_VOLUME";
                            column.Caption = "N + 2<br />Volume";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "AICO_CEPT2";
                            column.FieldName = "AICO_CEPT2";
                            column.Caption = "Aico<br />Cept 2";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_3_VOLUME";
                            column.FieldName = "N_3_VOLUME";
                            column.Caption = "N + 3<br />Volume";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "AICO_CEPT3";
                            column.FieldName = "AICO_CEPT3";
                            column.Caption = "Aico<br />Cept 3";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D01";
                            column.FieldName = "N_D01";
                            column.Caption = "N<br />Day 01";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D02";
                            column.FieldName = "N_D02";
                            column.Caption = "N<br />Day 02";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D03";
                            column.FieldName = "N_D03";
                            column.Caption = "N<br />Day 03";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D04";
                            column.FieldName = "N_D04";
                            column.Caption = "N<br />Day 04";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D05";
                            column.FieldName = "N_D05";
                            column.Caption = "N<br />Day 05";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D06";
                            column.FieldName = "N_D06";
                            column.Caption = "N<br />Day 06";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D07";
                            column.FieldName = "N_D07";
                            column.Caption = "N<br />Day 07";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D08";
                            column.FieldName = "N_D08";
                            column.Caption = "N<br />Day 08";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D09";
                            column.FieldName = "N_D09";
                            column.Caption = "N<br />Day 09";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D10";
                            column.FieldName = "N_D10";
                            column.Caption = "N<br />Day 10";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D11";
                            column.FieldName = "N_D11";
                            column.Caption = "N<br />Day 11";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D12";
                            column.FieldName = "N_D12";
                            column.Caption = "N<br />Day 12";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D13";
                            column.FieldName = "N_D13";
                            column.Caption = "N<br />Day 13";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D14";
                            column.FieldName = "N_D14";
                            column.Caption = "N<br />Day 14";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D15";
                            column.FieldName = "N_D15";
                            column.Caption = "N<br />Day 15";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D16";
                            column.FieldName = "N_D16";
                            column.Caption = "N<br />Day 16";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D17";
                            column.FieldName = "N_D17";
                            column.Caption = "N<br />Day 17";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D18";
                            column.FieldName = "N_D18";
                            column.Caption = "N<br />Day 18";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D19";
                            column.FieldName = "N_D19";
                            column.Caption = "N<br />Day 19";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D20";
                            column.FieldName = "N_D20";
                            column.Caption = "N<br />Day 20";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D21";
                            column.FieldName = "N_D21";
                            column.Caption = "N<br />Day 21";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D22";
                            column.FieldName = "N_D22";
                            column.Caption = "N<br />Day 22";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D23";
                            column.FieldName = "N_D23";
                            column.Caption = "N<br />Day 23";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D24";
                            column.FieldName = "N_D24";
                            column.Caption = "N<br />Day 24";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D25";
                            column.FieldName = "N_D25";
                            column.Caption = "N<br />Day 25";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D26";
                            column.FieldName = "N_D26";
                            column.Caption = "N<br />Day 26";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D27";
                            column.FieldName = "N_D27";
                            column.Caption = "N<br />Day 27";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D28";
                            column.FieldName = "N_D28";
                            column.Caption = "N<br />Day 28";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D29";
                            column.FieldName = "N_D29";
                            column.Caption = "N<br />Day 29";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D30";
                            column.FieldName = "N_D30";
                            column.Caption = "N<br />Day 30";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_D31";
                            column.FieldName = "N_D31";
                            column.Caption = "N<br />Day 31";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D01";
                            column.FieldName = "N_1_D01";
                            column.Caption = "(N + 1)<br />Day 01";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D02";
                            column.FieldName = "N_1_D02";
                            column.Caption = "(N + 1)<br />Day 02";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D03";
                            column.FieldName = "N_1_D03";
                            column.Caption = "(N + 1)<br />Day 03";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D04";
                            column.FieldName = "N_1_D04";
                            column.Caption = "(N + 1)<br />Day 04";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D05";
                            column.FieldName = "N_1_D05";
                            column.Caption = "(N + 1)<br />Day 05";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D06";
                            column.FieldName = "N_1_D06";
                            column.Caption = "(N + 1)<br />Day 06";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D07";
                            column.FieldName = "N_1_D07";
                            column.Caption = "(N + 1)<br />Day 07";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D08";
                            column.FieldName = "N_1_D08";
                            column.Caption = "(N + 1)<br />Day 08";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D09";
                            column.FieldName = "N_1_D09";
                            column.Caption = "(N + 1)<br />Day 09";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D10";
                            column.FieldName = "N_1_D10";
                            column.Caption = "(N + 1)<br />Day 10";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D11";
                            column.FieldName = "N_1_D11";
                            column.Caption = "(N + 1)<br />Day 11";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D12";
                            column.FieldName = "N_1_D12";
                            column.Caption = "(N + 1)<br />Day 12";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D13";
                            column.FieldName = "N_1_D13";
                            column.Caption = "(N + 1)<br />Day 13";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D14";
                            column.FieldName = "N_1_D14";
                            column.Caption = "(N + 1)<br />Day 14";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D15";
                            column.FieldName = "N_1_D15";
                            column.Caption = "(N + 1)<br />Day 15";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D16";
                            column.FieldName = "N_1_D16";
                            column.Caption = "(N + 1)<br />Day 16";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D17";
                            column.FieldName = "N_1_D17";
                            column.Caption = "(N + 1)<br />Day 17";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D18";
                            column.FieldName = "N_1_D18";
                            column.Caption = "(N + 1)<br />Day 18";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D19";
                            column.FieldName = "N_1_D19";
                            column.Caption = "(N + 1)<br />Day 19";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D20";
                            column.FieldName = "N_1_D20";
                            column.Caption = "(N + 1)<br />Day 20";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D21";
                            column.FieldName = "N_1_D21";
                            column.Caption = "(N + 1)<br />Day 21";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D22";
                            column.FieldName = "N_1_D22";
                            column.Caption = "(N + 1)<br />Day 22";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D23";
                            column.FieldName = "N_1_D23";
                            column.Caption = "(N + 1)<br />Day 23";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D24";
                            column.FieldName = "N_1_D24";
                            column.Caption = "(N + 1)<br />Day 24";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D25";
                            column.FieldName = "N_1_D25";
                            column.Caption = "(N + 1)<br />Day 25";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D26";
                            column.FieldName = "N_1_D26";
                            column.Caption = "(N + 1)<br />Day 26";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D27";
                            column.FieldName = "N_1_D27";
                            column.Caption = "(N + 1)<br />Day 27";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D28";
                            column.FieldName = "N_1_D28";
                            column.Caption = "(N + 1)<br />Day 28";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D29";
                            column.FieldName = "N_1_D29";
                            column.Caption = "(N + 1)<br />Day 29";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D30";
                            column.FieldName = "N_1_D30";
                            column.Caption = "(N + 1)<br />Day 30";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "N_1_D31";
                            column.FieldName = "N_1_D31";
                            column.Caption = "(N + 1)<br />Day 31";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SYSTEM_DATE";
                            column.FieldName = "SYSTEM_DATE";
                            column.Caption = "System Date";
                            column.Width = Unit.Pixel(150);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SERIES";
                            column.FieldName = "SERIES";
                            column.Caption = "Series";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "LIFE_CYCLE";
                            column.FieldName = "LIFE_CYCLE";
                            column.Caption = "Life<br />Cycle";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "B_A_SIGN";
                            column.FieldName = "B_A_SIGN";
                            column.Caption = "B A<br />Sign";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "R_U_PREVIOUS";
                            column.FieldName = "R_U_PREVIOUS";
                            column.Caption = "R U<br />Prevous";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "R_U_PRESENT";
                            column.FieldName = "R_U_PRESENT";
                            column.Caption = "R U<br />Present";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SUPPLIER_CD";
                            column.FieldName = "SUPPLIER_CD";
                            column.Caption = "Supplier<br />Code";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "SUPPLIER_NAME";
                            column.FieldName = "SUPPLIER_NAME";
                            column.Caption = "Supplier Name";
                            column.Width = Unit.Pixel(360);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "PART_NAME";
                            column.FieldName = "PART_NAME";
                            column.Caption = "Part Name";
                            column.Width = Unit.Pixel(350);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "DUMMY";
                            column.FieldName = "DUMMY";
                            column.Caption = "Dummy";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "TERM";
                            column.FieldName = "TERM";
                            column.Caption = "Term";
                            column.Width = Unit.Pixel(70);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "CREATED_BY";
                            column.FieldName = "CREATED_BY";
                            column.Caption = "Created By";
                            column.Width = Unit.Pixel(100);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "CREATED_DT";
                            column.FieldName = "CREATED_DT";
                            column.Caption = "Created Date";
                            column.Width = Unit.Pixel(150);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                            //column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy hh:mm:ss";
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "CHANGED_BY";
                            column.FieldName = "CHANGED_BY";
                            column.Caption = "Changed By";
                            column.Width = Unit.Pixel(100);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        }
                        );
                    settings.Columns.Add(
                        column =>
                        {
                            column.Name = "CHANGED_DT";
                            column.FieldName = "CHANGED_DT";
                            column.Caption = "Changed Date";
                            column.ColumnType = MVCxGridViewColumnType.DateEdit;
                            column.Width = Unit.Pixel(150);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            column.PropertiesEdit.NullDisplayText = string.Empty;
                            column.PropertiesEdit.DisplayFormatString = string.Format("dd.MM.yyyy HH:mm");
                        }
                        );
                    #endregion New gridview column list, By Salman Alfarizi 20022013
                }).Bind(Model.GetModel<List<LPOPConfirmationDetail>>()).GetHtml()